Installation Issue with upgrading Appointments +

I have the beta version installed which has stopped functioning properly (no email confirmations, appointments take days to show up, etc). When I am trying to auto update to the most recent version, I am receive messages that the old version cannot be removed and new version cannot be installed. How can I fix this issue?